/**
 * Copyright (C) 2003-2019, Foxit Software Inc..
 * All Rights Reserved.
 * <p>
 * http://www.foxitsoftware.com
 * <p>
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
package com.foxit.uiextensions.modules.signature;

import android.graphics.Bitmap;
import android.graphics.RectF;

import com.foxit.sdk.pdf.PDFPage;
import com.foxit.uiextensions.utils.Event;

class SignatureEvent extends Event {

    public interface ISignatureCallBack {
        void result(SignatureEvent event, boolean success);
    }
}

class SignatureDrawEvent extends SignatureEvent {
    public Bitmap			mBitmap;
    public int				mWidth;
    public int				mHeight;
    public int				mColor;
    public float			mThickness;
    public ISignatureCallBack mCallBack;
    public RectF			mRect;

    public SignatureDrawEvent(Bitmap bitmap, int type, int color, float thickness, ISignatureCallBack callBack) {
        mType		= type;
        mBitmap 	= bitmap;
        mWidth		= bitmap.getWidth();
        mHeight		= bitmap.getHeight();
        mColor 		= color;
        mThickness	= thickness;
        mCallBack	= callBack;
        mRect		= new RectF();
    }

    public SignatureDrawEvent() {
    }

}

class SignatureSignEvent extends SignatureEvent {
    public RectF				mRect;
    public PDFPage mPage;
    public Bitmap mBitmap;
    public int mViewRotation;
    public ISignatureCallBack mCallBack;
    public SignatureSignEvent(PDFPage page, Bitmap bitmap, RectF rect, int type, int viewRotation, ISignatureCallBack callback) {
        mType		= type;
        mCallBack	= callback;
        mPage = page;
        mBitmap = bitmap;
        mRect = rect;
        mViewRotation = viewRotation;
    }

}
