/**
 * Copyright (C) 2003-2019, Foxit Software Inc..
 * All Rights Reserved.
 * <p>
 * http://www.foxitsoftware.com
 * <p>
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */
package com.foxit.uiextensions.modules.thumbnail.createpage;


import com.foxit.sdk.PDFViewCtrl;
import com.foxit.sdk.common.Constants;
import com.foxit.sdk.pdf.PDFPage;

public class CreatePageBean {
    private static final int DEFAULT_STYLE = PDFViewCtrl.PDF_PAGE_STYLE_TYPE_BLANK;
    private static final int DEFAULT_COLOR = 0xFFFFFFFF;
    private static final int DEFAULT_SIZE = PDFPage.e_SizeLetter;
    private static final int DEFAULT_DIRECTION = Constants.e_Rotation0;
    private static final int DEFAULT_COUNTS = 1;

    private int mPageStyle= DEFAULT_STYLE;
    private int mPageCounts = DEFAULT_COUNTS;
    private int mPageSize = DEFAULT_SIZE;
    private int mPageColor = DEFAULT_COLOR;
    private int mPageDirection = DEFAULT_DIRECTION;
    private int mWidth = 0;
    private int mHeight = 0;

    private boolean mIsCustomSize = false;

    public int getPageStyle() {
        return mPageStyle;
    }

    public void setPageStyle(int pageStyle) {
        this.mPageStyle = pageStyle;
    }

    public int getPageCounts() {
        return mPageCounts;
    }

    public void setPageCounts(int pageCounts) {
        this.mPageCounts = pageCounts;
    }

    public int getPageSize() {
        return mPageSize;
    }

    public void setPageSize(int pageSize) {
        this.mPageSize = pageSize;
    }

    public int getPageColor() {
        return mPageColor;
    }

    public void setPageColor(int pageColor) {
        this.mPageColor = pageColor;
    }

    public int getPageDirection() {
        return mPageDirection;
    }

    public void setPageDirection(int pageDirection) {
        this.mPageDirection = pageDirection;
    }

    public boolean isCustomSize() {
        return mIsCustomSize;
    }

    public void setCustomSize(boolean isCustomSize) {
        this.mIsCustomSize = isCustomSize;
    }

    public int getWidth() {
        return mWidth;
    }

    public void setWidth(int width) {
        this.mWidth = width;
    }

    public int getHeight() {
        return mHeight;
    }

    public void setHeight(int height) {
        this.mHeight = height;
    }
}
